Bug 556669 - FutureFeature: Bacula needs a README.Fedora
FutureFeature: Bacula needs a README.Fedora
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bacula (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Simone Caronni
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-18 21:12 EST by Renich Bon Ciric
Modified: 2012-01-20 10:17 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-20 10:17:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Renich Bon Ciric 2010-01-18 21:12:40 EST
Currently, it's very hard to come up with the "Fedoran Way" of configuring Bacula. I'm a newbie with it, but, I think, you could add a fabulous guide in a README.Fedora file; like some other packages have.

The README.Fedora could contain pointers on what to do to get it up and running ASAP. Don't try to make it a supplement for the docs (pdf files)... just add the key notes, like:

- Remember to change the password placeholders to some other password or it won't start while using service (took me 5 hours to figure this out)

I'm in the middle of the configuration so I can't suggest you any more. I'll try tu update this feature request with suggestions of the contents of the README.Fedora file.
Comment 1 Ken Dreyer 2010-10-18 00:34:17 EDT
The "bail out of the init script if passwords are still the default" was a gotcha for me as well. Maybe the init scripts should say something more specific than "Error: Not been configured" ?
Comment 2 Bug Zapper 2010-11-03 20:34:18 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ken Dreyer 2010-11-03 20:43:44 EDT
This bug applies to the bacula in the EPEL 5 repos. Can someone please change the Version field in this bugzilla entry so it doesn't get auto-closed?
Comment 4 Renich Bon Ciric 2011-02-10 20:55:52 EST
done
Comment 5 Ken Dreyer 2011-02-10 23:02:59 EST
Wait, this just changed from EPEL5 to F14... it is a bug in EPEL5.
Comment 6 Jan Görig 2011-02-14 03:22:44 EST
Changed back to EPEL5.
Comment 7 Renich Bon Ciric 2011-02-14 15:14:38 EST
why did this change to EPEL5 again? It's a feature request...
Comment 8 Jan Görig 2011-02-15 07:38:47 EST
Excuse me. I have misunderstood previous comment. Feel free to move it back to Fedora.
Comment 9 Renich Bon Ciric 2011-02-15 17:04:29 EST
(In reply to comment #8)
> Excuse me. I have misunderstood previous comment. Feel free to move it back to
> Fedora.

No problem
Comment 10 Honza Horak 2011-08-16 08:54:08 EDT
These are just some points, that should be mentioned in the future README file:
* a user must configure bacula daemons after install (before starting)
* passwords that include "__PASSWORD@@" are not allowed
* only one package from bacula-director-postgresql, bacula-director-mysql, bacula-director-sqlite should be installed at the same time or user must configure alternatives properly (since bacula-dir points to one of the binaries from these packages)
Comment 11 Honza Horak 2011-08-16 09:15:35 EDT
This can be considered as well:
http://fedoraproject.org/wiki/User:Renich/HowTo/Bacula
Comment 12 Simone Caronni 2012-01-20 10:17:51 EST
Added a README.Fedora file in rawhide(5.2.4).

Note You need to log in before you can comment on or make changes to this bug.